import {Patch, PatchInput, PatchOutput} from 'core';
import types from 'types'

var patch = new Patch();

patch.inputs = [
  new PatchInput('loop', types.NUMBER),
  new PatchInput('indices', types.NUMBER),
];

patch.outputs = [
  new PatchOutput('loop2', types.NUMBER),
];

patch.evaluate = function() {
  var firstLoop = patch.inputs[0].values;
  var indices = patch.inputs[1].values;
  var loop2 = new Array(firstLoop.length).fill(0);
  var count = 1;
  for(var i = 0; i < indices.length; i++){
    loop2[indices[i]] = count++;
  }
  patch.outputs[0].values = loop2;
};

export default patch;
